@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600;700;900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background: url(./immagini/background.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    align-content: center;
    justify-content: center;
    min-height:100vh;
    
}

html {
    font-family: 'Montserrat', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
}

.container {
    width: 800px;
    margin: 3% 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}


a {
    text-decoration:none;
    color:#fff;
}

.container .logo {
    display: flex;
    align-items: center;
    justify-content: center;
}

.container .logo img {
    max-width: 90%;
}

.container .subtitle {
    color: #fff;
    font-size: 2rem;
    text-align: center;
    padding-top: 30px;
}

.container .spinner {
    display: flex;
    align-items: center;
    justify-content: center;
}

.container .spinner img {
    max-width: 50%;
}

.first-link, .second-link {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 10px 0px;
}
.second-link {
    justify-content: space-evenly;
}
.first-link p, .second-link p {
    color: #fff;
    font-size: 1.5rem;
    font-weight: 600;
    text-transform: uppercase;
}

.icons {
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 20px 0px;
}
.icons img {
    width: 30px;
}

.copyright {
    color: #fff;
    font-size: 1.2rem;
}


/* media queries  */

@media (max-width:1200px){

    .container {
        padding-top: 50px;
        width: 100%;
      
    }
  
  }
  
  @media (max-width:991px){
      
      .container {
        width: 90%;
      
    }
  
  }
  
  @media (max-width:768px){
      
         body {
    background: url(./immagini/background-verticale.jpg);
    background-size:cover;
    background-repeat: no-repeat;
    min-height:100vh;
}
      

    .container {
        width: 100%;
      
    }
    
    .container .logo img {
        max-width: 90%;
      }

      .container .subtitle {
        font-size: 1.1rem;
    }

    .first-link, .second-link {
       flex-direction: column;
    }

    .first-link p, .second-link p {
        font-size: 1.2rem;
        padding:5px 0;
     }
     .second-link {
         margin-top: -10px;
     }
     
     .icons img {
         padding:0 5px;
         width:32px;
     }
      
     .icons {
         width:70%;
     }
    .copyright {
        font-size: 1rem;
    }
    
  }
  
   @media (max-width:375px){
       
         body {
    background: url(./immagini/background-verticale.jpg);
    background-size:cover;
    background-repeat: no-repeat;
    min-height:100vh;
}
       
   }